ngfd-plugin: _NInputInterfaceDecl Struct Reference

ngfd-plugin

Public Attributes | List of all members
_NInputInterfaceDecl Struct Reference

Interface declaration structure. More...

`#include <inputinterface.h>`

## Public Attributes
const char * | name
| Name of the interface.
int(* | initialize )(NInputInterface *iface)
| Initialization function.
void(* | shutdown )(NInputInterface *iface)
| Shutdown function.
void(* | send_error )(NInputInterface *iface, NRequest *request, const char *err_msg)
| Error sending function.
void(* | send_reply )(NInputInterface *iface, NRequest *request, int ret_code)
| Reply sending function.

## Detailed Description

Interface declaration structure.

## Member Data Documentation

## ◆ initialize

int(* _NInputInterfaceDecl::initialize) (NInputInterface *iface)

Initialization function.

Called when input interface is loaded.

Parameters

  iface | NInputInterface structure

Returns
  TRUE if success

## ◆ name

const char* _NInputInterfaceDecl::name

Name of the interface.

## ◆ send_error

void(* _NInputInterfaceDecl::send_error) (NInputInterface *iface, NRequest *request, const char *err_msg)

Error sending function.

Called when error message needs to be sent to client

Parameters

  iface | NInputInterface structure
  request | Request which error is related to
  err_msg | Error message

## ◆ send_reply

void(* _NInputInterfaceDecl::send_reply) (NInputInterface *iface, NRequest *request, int ret_code)

Reply sending function.

Called when reply to request needs to be sent to client

Parameters

  iface | NInputInterface structure
  request | Request which reply is related to
  ret_code | Return code to request

## ◆ shutdown

void(* _NInputInterfaceDecl::shutdown) (NInputInterface *iface)

Shutdown function.

Called when input interface is removed.

Parameters

  iface | NInputInterface structure

The documentation for this struct was generated from the following file:

- /build/ngfd/src/ngfd-1.4.1/src/include/ngf/inputinterface.h